/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.updater.config;

import java.util.HashMap;

import javax.xml.parsers.FactoryConfigurationError;
import javax.xml.parsers.ParserConfigurationException;

import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshalParser;
import javax.xml.namespace.QName;

public class UpdateParser extends XmlMarshalParser {

	public UpdateParser() throws SAXException, ParserConfigurationException, FactoryConfigurationError {
		super(new Mapping(),true);
	}
	private static class Mapping extends HashMap<QName,Class> {
		/**
		 * Comment for <code>serialVersionUID</code>
		 */
		private static final long serialVersionUID = 3617293411154145847L;

		public Mapping() {
			put(ComponentModel.QN,ComponentModel.class);
			put(ComponentRefModel.QN,ComponentRefModel.class);
			put(FileListModel.QN,FileListModel.class);
			put(FileModel.QN,FileModel.class);
			put(ForeignSitesModel.QN,ForeignSitesModel.class);
			put(ReleaseModel.QN,ReleaseModel.class);
			put(RequireModel.QN,RequireModel.class);
			put(SiteModel.QN,SiteModel.class);
			put(XemeliosUpdateModel.QN,XemeliosUpdateModel.class);
			put(ORIGINAL_LOCATION,TexteModel.class);
			put(DESCRIPTION,TexteModel.class);
			put(XEMELIOS_UPDATES,UpdatePartModel.class);
			put(CONFIG_UPDATES,UpdatePartModel.class);
			put(FEATURES_UPDATES,UpdatePartModel.class);
			put(DeleteModel.QN,DeleteModel.class);
			put(ConfigurationModel.QN,ConfigurationModel.class);
			put(ParamModel.QN,ParamModel.class);
		}
	}
        public static final transient QName ORIGINAL_LOCATION = new QName("original-location");
        public static final transient QName DESCRIPTION = new QName("description");
        public static final transient QName XEMELIOS_UPDATES = new QName("xemelios-updates");
        public static final transient QName CONFIG_UPDATES = new QName("config-updates");
        public static final transient QName FEATURES_UPDATES = new QName("features-updates");

}
